#define ZACIATOK03 16.0
#define KONIEC03   56.0
#define CFGNAME03 "data\\cfg\\tunel1.cfg"

#include "tunel.h"


class efekt_03 : public EFEKT
{
public:
   int  go(double t);
   int  init();
   int  load();
   int  free();
   int  update();

  // -> premenne efektu


  OmniLight3DS* l1;
  OmniLight3DS* l2;
  Material3DS   tunel_material2;
  Material3DS   tunel_material1;
  Lights lgts;

  TUNEL obal;
  TUNEL transp;

  float cin_r;
  float cin_g;
  float cin_b;
  int inen;

  float cout_r;
  float cout_g;
  float cout_b;
  int outen;

  float vis;
  float minvis;

  CameraTarget3DS ca;
  CameraDescent3DS cam;

  Texture3DS *texin;
  Texture3DS *texout;

  float time;
  float a1,a2,a3,d1,d2,d3;

  float campos;
  int nxt;
  float wav_counter;
  float wav_scale;
  float cam_speed;
  float fade;
  int cnter;
  bool waved;
  bool fadeset;
  // <- 
};
